Bug 122762 - radeon cards not detected for xorg.conf
radeon cards not detected for xorg.conf
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hwdata (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-07 14:38 EDT by David G. Mackay
Modified: 2014-03-16 22:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.131-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-17 17:30:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to update pcitable in hwdata to recognize several radeon cards (2.93 KB, patch)
2004-05-07 14:42 EDT, David G. Mackay
no flags Details | Diff

  None (edit)
Description David G. Mackay 2004-05-07 14:38:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
There are several radeon cards that are being configured to use the
vesa driver.  The behavior of test3 during install and configuration
of these cards is downright pathological (see bug # 120661).  A simple
patch to pcitable will cure this.

Version-Release number of selected component (if applicable):
0.117-1

How reproducible:
Always

Steps to Reproduce:
1.Try to install FC2-test3 on a system with an ATI Radeon IGP 340M
2.
3.
    

Actual Results:  System locks up when the installer switches to X.
Also, every time you use the display settings window to try and adjust
the video card settings, the xorg.conf file is rewritten to use the
vesa driver.

Additional info:
Comment 1 David G. Mackay 2004-05-07 14:42:45 EDT
Created attachment 100091 [details]
patch to update pcitable in hwdata to recognize several radeon cards

The enclosed patch causes the IGP 340M to be probed correctly after install. 
If you can tell me where the installer version of the PCI table is in the iso
install image, I'll modify it there and test that as well.
Comment 2 Bill Nottingham 2004-05-21 14:27:48 EDT
Are these IDs upstream at pciids.sf.net? If not, please submit them there.
Comment 3 Bill Nottingham 2004-09-17 17:30:35 EDT
Should be fixed in 0.131-1, if not earlier.

Note You need to log in before you can comment on or make changes to this bug.